------------------------------------------------------------------------------------
--Name：  220525[简体征服][活动脚本]全球暑期活动
--Creator:      黄洪文
--Created:     2022-05-28
------------------------------------------------------------------------------------

--/callluafunc </F>User_PlayPlot</N>284
--/reloadlua Script/SummerActive/2022/SummerActiveCross.lua
--/chgmap 11835 74 131
--addScene
--addcustom
--addScene
--addcustom
CppScriptMgr:SetViewPosByCell(58,58)
CppScriptMgr:NpcCallOut("Returning from the underworld alone, Orphee became so depressed all day long.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("But when he learned that in the far east, there was a fairy called the Weaver Girl who could help him save Eurydice, he finally pulled himself together.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("He`s determined to overcome all the difficulties and travel to the east to find the Weaver Girl.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30788",150,430,"Weaver Girl",250,655)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:SetDarkScreen(1500)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:SetLightScreen(1500)
local Effect_5=CppScriptMgr:AddEffect("ty_ymz",50,50,33)
Effect_5:Scale(2,2,2)
local Player_1=CppScriptMgr:AddSimplePlayer(1055780,58,58,"[God of Sun`s Child]\n    Orphee",0,0)
Player_1:SetZoomPercent(150)
Player_1:SetHair(7,1)
Player_1:SetDir(6)
Player_1:AddEffect("curse",33)
Player_1:SetAction(250)
Player_1:SetFrameInterval(10000)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("It`s all my fault...",2000)
CppScriptMgr:NpcCallOut("It`s all my fault...",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:Say("Damn! Why did I look back?",2000)
CppScriptMgr:NpcCallOut("Damn! Why did I look back?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_1=CppScriptMgr:AddEffect("zf2-e236",56,60,33)
CppScriptMgr:WaitMilSec(1000)
local Player_2=CppScriptMgr:QueryHero()
Player_2:SetDir(6)
Player_2:SetZoomPercent(150)
Player_2:SetPos(56,60)
local player_Name_1=Player_2:GetName()
CppScriptMgr:WaitMilSec(1000)
Player_2:SetAction(160)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Look at you! Are you giving up on Eurydice?",2000)
CppScriptMgr:NpcCallOut("Look at you! Are you giving up on Eurydice?",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetFrameInterval(33)
Player_1:SetAction(100)
local Effect_2=CppScriptMgr:AddEffect("100wp_yanjiang",58,58,33)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("No, I`m not!",2000)
CppScriptMgr:NpcCallOut("No, I`m not!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Then cheer up! In the far east, there is a fairy called the Weaver Girl who may be able to help you!",2000)
CppScriptMgr:NpcCallOut("Then cheer up! In the far east, there is a fairy called the Weaver Girl who may be able to help you!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(2000)
Player_1:SetAction(180)
CppScriptMgr:WaitMilSec(1000)
Player_1:Say("Really? I`m gonna find her!",2000)
CppScriptMgr:NpcCallOut("Really? I`m gonna find her!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
Player_2:SetAction(103)
Player_2:Say("To head to the east, you must defeat the monsters in the Star Passage.",2000)
CppScriptMgr:NpcCallOut("To head to the east, you must defeat the monsters in the Star Passage.",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc182",150,430,player_Name_1,250,655)
CppScriptMgr:WaitMilSec(2000)
local Effect_3=CppScriptMgr:AddEffect("ty_beijing",58,58,33)
local Effect_4=CppScriptMgr:AddEffect("QiFuLev3",58,58,33)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(401)
Player_1:Say("I`m not afraid of anything as long as I can save Eurydice!",2000)
CppScriptMgr:NpcCallOut("I`m not afraid of anything as long as I can save Eurydice!",2000,1,"NPCBust_bg","",320,570,400,580,"NPCBust_npc30789",150,430,"Orphee",250,655)
CppScriptMgr:WaitMilSec(2000)
